############################## 项目启动信息配置 开始  ##############################
server:
  port: 8888
#  servlet:
#    context-path: /ebuy
  tomcat:
    port-header: HEAD,PUT,DELETE,OPTIONS,TRACE,COPY,SEARCH,PROPFIND
    min-spare-threads: 20
    max-threads: 500
    max-connections: 10000

############################## 项目启动信息配置 结束  ##############################

############################## spring配置 开始  ##############################
spring:
  main:
    allow-bean-definition-overriding: true
  profiles:
    active: dev                           # 当前激活的配置文件
  mvc:
    static-path-pattern: /static/**         # 静态资源路径
    view:
      prefix: /WEB-INF/view                 # 页面文件路径
  http:
    converters:
      preferred-json-mapper: fastjson       # Json转换器
  servlet:
    multipart:
      max-request-size: 100MB               # 最大请求大小
      max-file-size: 100MB                  # 最大文件大小
  devtools:
    restart:
      enabled: true                         # 是否开启开发者工具（true/false）
      additional-paths:
      exclude: static/**
  aop:
    proxy-target-class: true                #false为启用jdk默认动态代理,true为cglib动态代理
  activiti:
    check-process-definitions: false
############################## spring配置 结束  ##############################

############################## mybatis-plus配置 开始  ##############################
mybatis-plus:
  mapper-locations: classpath*:com/**/mapping/*.xml
  typeAliasesPackage: com.jxdinfo.hussar.**.model,com.xxxx.**.model
  typeEnumsPackage: com.jxdinfo.hussar.common.constant.enums
  global-config:
    id-type: 3                                              # 0:数据库ID自增   1:用户输入id  2:全局唯一id(IdWorker)  3:全局唯一ID(uuid)
    db-column-underline: false
    refresh-mapper: true
    logic-delete-value: 0
    logic-not-delete-value: 1
    sql-injector: com.baomidou.mybatisplus.mapper.LogicSqlInjector
  configuration:
    map-underscore-to-camel-case: false
    cache-enabled: true                                     # 配置的缓存的全局开关
    lazyLoadingEnabled: true                                # 延时加载的开关
    multipleResultSetsEnabled: true                 # 开启的话，延时加载一个属性时会加载该对象全部属性，否则按需加载属性
    #jdbc-type-for-null: 'null'                             #Oracle数据库开启，否则使用updateAllColumnById()这种方法，如果列值为空，就会报错
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl   # 打印sql语句,调试用
############################## mybatis-plus配置 结束  ##############################

############################## quartz配置 结束  ##############################
org:
  quartz:
    jobStore:
      class: org.quartz.impl.jdbcjobstore.JobStoreTX              # 持久化
      dataSource: hussar                                          # 定时任务数据源别名，非数据库别名
      misfireThreshold: 5000                                      # 容许的最大作业延长时
      tablePrefix: SYS_QRTZ_                                      # 表的前缀
    threadPool:
      threadCount: 5                                              # 并发个数
      threadPriority: 5                                           # 优先级
      threadsInheritContextClassLoaderOfInitializingThread: true  # 自创建父线程
############################## quartz配置 结束  ##############################

############################## 日志配置 开始  ##############################
#logging:
#  config: classpath:log4j2.xml          # 详细日志配置文件
#  level:
#    root: ERROR                         # 日志默认输出级别
############################## 日志配置 结束  ##############################

############################## hussar配置 开始  ##############################
hussar:
  spring-session-open: false                # 是否开启spring session,如果是多机环境需要开启(true/false)
  stand-alone: true                         # true 为单机环境  false 是集群环境
  welcome-page: /                           # 配置项目访问路径
  login-upper-open: true                    # 是否区分登录账号大小写 (true/false)
  download-path: g:/GXDownload
############## 登录密码传输加密的加密方式 默认提供三种加密方式  非对称RSA、对称AES 、Base64；存储加密方式默认提供SM4（国密4算法）、MD5哈希算法，可自行扩展其他算法
  encrypt-type:
    type: RSA                       # 登录传输加密的加密方式 不区分大小写
    db-encrypt-type: SM4            # 存储加密的加密方式 不区分大小写 默认提供国密4算法；！！！！！！！！ 修改该配置，需要重置数据库中密码所有密码！！！！！
    secret-free-ip: 192.168.1.1     # 这里配置一个有登录权限的IP

############################## 外部接口配置  ##############################
  open-orgservice: false       #是否启用组织机构外部接口

############## JWT认证所需参数
  jwt:
    auth-path: /auth                # 认证请求的路径
    ############################## 以下配置为系统默认配置  ##############################
#    header: Authorization           # http请求头所需要的字段
#    secret: mySecret                # jwt秘钥
#    expiration: 604800              # 7天 单位:秒
#    md5-key: randomKey              # md5加密混淆key
#  static-version: 1111                      # 项目自定义静态文件版本  在引入静态文件后加上 XXX.js?v=${h_version}
#  muti-datasource-open: false              # 是否开启多数据源
#  useJNDI: false                            # 是否开启JNDI（默认为false）
#  swagger-open: true                        # 是否开启swagger (true/false)
#  kaptcha-open: false                       # 是否开启登录时验证码 (true/false)
#  file-upload-path-windows: e:/hussar          # 文件上传目录(不配置的话为java.io.tmpdir目录)
#  file-upload-path-linux: /usr/local/hussar
#  file-upload-path-mac:   /tmp/hussar
#  file-date-split: true                     # 上传路径日期区分
#  session-invalidate-time: 1800             # session失效时间  单位：秒
#  session-validation-interval: 900          # 多久检测一次失效的session(只在单机环境下生效) 单位：秒
#  firewall-xss-level: B                     # XSS过滤级别，共ABC三级，过滤严格程度依次增强，建议默认开启B级
#  xss-whitelist:                                #XSS过滤白名单
#  - /notice/update
#  - /notice/add
#  login-html: /login.html                  # 登录页html
  index-config: true                        #是否开启欢迎页配置 true开启 false不开启
  default-index: /gxswJcsjInfo/view   #默认欢迎页访问路径
#  shiro:                                    # shiro 通用配置
#    login-url: /login                       # 登录页面URL
#    unauthorized-url: /global/403           # 授权失败跳转地址
#    security-whitelist:                     # 权限拦截白名单（可以配置多项）
#    - /static/**
#    - /login

############## rest请求 jwt认证开关 默认关闭rest请求认证，开启后，需要认证
#  rest:
#    auth-open: true                 # jwt鉴权机制是否开启(true或者false)
#    sign-open: true                 # 签名机制是否开启(true或false)
#    swagger-open: true              # 是否开启swagger (true/false)
#    url-pattern: /hussarrest/*      # rest请求路径 : 默认/rest/*
#    token-header-code: Hussar       # 请求头识别码


############################## hussar配置 结束  ##############################

############################## 系统监控配置 开始  ##############################
#  monitor:
#    stat-view-servlet:
#      hosts: 127.0.0.1:8080
#      enabled: true
#      local: 127.0.0.1:8080
#      url-pattern: /smon
#    web-stat-filter:
#      enabled: true
#      url-pattern: /smon
############################## 系统监控配置 结束  ##############################

############################## beetl配置 开始  ##############################
beetl:
  delimiter-statement-start: \@   # 开始结束标签(yaml不允许@开头)
  delimiter-statement-end: null
  resource-tagroot: common/tags   # 自定义标签文件Root目录和后缀
  resource-tagsuffix: tag
  resource-auto-check: true       # 是否检测文件变化,开发用true合适，但线上要改为false
############################## beetl配置 结束  ##############################

############################## global配置开始  ##############################
#global:
#  title: HussarV8               #当前项目名，当在一台服务器上部署多个V8项目时，务必修改此配置以防止cookie冲突
#  default-password: 123456     # 用户默认密码
#  pwd-complexity-regular: /^[\S]{6,12}$/          #密码复杂度正则
#  unmatched-hint: 密码必须6到12位，且不能出现空格    #不满足时的提示信息
#  force-change-pwd: true    # 是否在第一次登录或一段时间后强制用户修改密码
#  password-hist: 90            # 密码生命周期 多少天后强制修改密码  单位（天）
#  pwd-repeat-time: 2            # 密码不能和前几次相同
#  try-login-time: 3             # 用户尝试登陆次数
#  lock-time: 1                 # 多次登陆失败后锁定时间（单位：小时）
#  session-limit: true         # 是否开启会话限制
#  kickout-after: false         # 会话超出限制时，是否踢出后者（true剔除后者即新登录用户不能登录，，false，剔除最先登录的）
#  default-theme: default      # 默认皮肤主题，目前已有的主题（default生命绿，blue科技蓝）
#  change-theme: true          # 是否允许用户更换皮肤
#  role-audit: true                 # 用户角色是否需要审核
#  tree-lazy-load: true          # jsTree是否为懒加载
#  user-on-one-emp: true          # 用户人员一对一
#  operate-staff-with-user: true       #操作人员同时操作用户（新增、修改、删除、转移）

############################## global配置 结束  ##############################

############################## 连接池监控配置 开始  ##############################
#druid:
#  merge-sql: false
#  need-login: true               #连接池监控页面是否需要登陆
#  login-username: druid     #连接池监控页面用户名（需要登陆时有效）
#  login-password: hussar      #连接池监控页面密码（需要登陆时有效）
#  slow-sql-millis:  2000          #慢SQL时间（单位:毫秒；执行时间超过此时间的sql会被标红）
#  log-slow-sql: false               #慢SQL是否记录日志
############################## 连接池监控配置 结束  ##############################
